ur_rna.StructureEditor.services

## Class RecentFileList

- java.lang.Object
- - ur_rna.StructureEditor.services.RecentFileList

- All Implemented Interfaces:
    java.lang.Iterable<RecentFileList.RecentFile>

      public class RecentFileList
      extends java.lang.Object
      implements java.lang.Iterable<RecentFileList.RecentFile>

  List of recent files that prevents duplicate paths.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RecentFileList.RecentFile`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.LinkedList<RecentFileList.RecentFile>` | `list`
    `private int` | `maxItemCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecentFileList()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String path)`
    `void` | `add(java.lang.String path, FileType type)`
    `void` | `addToBottom(java.lang.String path, FileType type)`
    `void` | `clear()`
    `boolean` | `contains(java.lang.String path)`
    `void` | `forEach(java.util.function.Consumer<? super RecentFileList.RecentFile> action)`
    `java.util.List<RecentFileList.RecentFile>` | `getFiles()`
    `int` | `getMaxItemCount()`
    `int` | `indexOf(java.lang.String path)`
    `java.util.Iterator<RecentFileList.RecentFile>` | `iterator()`
    `void` | `load(java.util.prefs.Preferences p)`
    `static FileType` | `parseFileType(java.lang.String type, java.lang.String path)`
    `private void` | `prepareAdd()`
    `void` | `remove(RecentFileList.RecentFile recentFile)`
    `void` | `remove(java.lang.String path)`
    `void` | `save(java.util.prefs.Preferences p)`
    `void` | `setMaxItemCount(int maxItemCount)`
    `int` | `size()`
    `java.util.Spliterator<RecentFileList.RecentFile>` | `spliterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### list

          private java.util.LinkedList<RecentFileList.RecentFile> list

    - #### maxItemCount

          private int maxItemCount

  - ### Constructor Detail

    - #### RecentFileList

          public RecentFileList()

  - ### Method Detail

    - #### add

          public void add(java.lang.String path)

    - #### add

          public void add(java.lang.String path,
                          FileType type)

    - #### addToBottom

          public void addToBottom(java.lang.String path,
                                  FileType type)

    - #### clear

          public void clear()

    - #### contains

          public boolean contains(java.lang.String path)

    - #### forEach

          public void forEach(java.util.function.Consumer<? super RecentFileList.RecentFile> action)

      Specified by:
        `forEach` in interface `java.lang.Iterable<RecentFileList.RecentFile>`

    - #### getFiles

          public java.util.List<RecentFileList.RecentFile> getFiles()

    - #### getMaxItemCount

          public int getMaxItemCount()

    - #### indexOf

          public int indexOf(java.lang.String path)

    - #### iterator

          public java.util.Iterator<RecentFileList.RecentFile> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<RecentFileList.RecentFile>`

    - #### load

          public void load(java.util.prefs.Preferences p)

    - #### parseFileType

          public static FileType parseFileType(java.lang.String type,
                                               java.lang.String path)

    - #### prepareAdd

          private void prepareAdd()

    - #### remove

          public void remove(RecentFileList.RecentFile recentFile)

    - #### remove

          public void remove(java.lang.String path)

    - #### save

          public void save(java.util.prefs.Preferences p)

    - #### setMaxItemCount

          public void setMaxItemCount(int maxItemCount)

    - #### size

          public int size()

    - #### spliterator

          public java.util.Spliterator<RecentFileList.RecentFile> spliterator()

      Specified by:
        `spliterator` in interface `java.lang.Iterable<RecentFileList.RecentFile>`